=== debian/changelog ===
dtkcore (5.6.2.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 11 Nov 2022 18:11:46 +0800

dtkcore (5.6.2) unstable; urgency=medium

  * snipe release 5.6.2

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 21 Sep 2022 13:57:29 +0800

dtkcore (5.6.0) unstable; urgency=medium

  * snipe release 5.6.0

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 11 Jul 2022 17:47:56 +0800
