=== debian/changelog ===
dtkcore (5.6.2.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Dec 2024 07:18:37 -0500

dtkcore (5.6.2.2-1~exp1) experimental; urgency=medium

  * New upstream release 5.6.2.2.
  * debian/rules: Adjust for CMake-based build.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Dec 2022 09:05:57 -0500

dtkcore (5.5.33-2) unstable; urgency=medium

  * debian/patches: Drop explicit cxx11 from tests. (Closes: #1038703)
  * debian/control:
    + Bump Standards Version to 4.6.2.
    + Update my Uploaders email to debian.org email.
  * debian/upstream/metadata: Fix Repository URL.

 -- Arun Kumar Pariyar <arun@debian.org>  Wed, 21 Jun 2023 00:09:53 +0545
