=== examples/CMakeLists.txt ===
add_subdirectory(dasync-example)
add_subdirectory(expintf-example)
add_subdirectory(textcodec-example)
