=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,11 @@
 find_package(Qt5 REQUIRED COMPONENTS DBus)
 endif()
 find_package(Qt5 REQUIRED COMPONENTS Xml)
+
+# start text encoding
+find_package(ICU REQUIRED COMPONENTS uc)
+pkg_check_modules(uchardet REQUIRED uchardet)
+# end text encoding
 
 # start base 
 include(base/base.cmake)
@@ -61,11 +66,15 @@
     ${glob_SRC}
   )
   target_link_libraries(
-    ${LIBNAME} PRIVATE 
+    ${LIBNAME} PUBLIC 
     Qt5::Core 
     Qt5::DBus
     Qt5::Xml
+  )
+  target_link_libraries(${LIBNAME} PRIVATE
     ${QGSettings_LIBRARIES}
+    ICU::uc
+    uchardet
   )
 else()
   add_library(${LIBNAME} SHARED 
@@ -78,29 +87,47 @@
     ${glob_SRC}
   )
   target_link_libraries(
-    ${LIBNAME} PRIVATE 
+    ${LIBNAME} PUBLIC 
     Qt5::Core 
     Qt5::Xml
+  )
+  target_link_libraries(${LIBNAME} PRIVATE
+    ICU::uc
+    uchardet
   )
 endif()
 set_target_properties(${LIBNAME} PROPERTIES
   VERSION ${CMAKE_PROJECT_VERSION}
   SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
+  EXPORT_NAME Core
 )
-target_include_directories( ${LIBNAME} PUBLIC
+target_include_directories(${LIBNAME} PRIVATE
   ${QGSettings_INCLUDE_DIRS}
   ${Qt5Core_PRIVATE_INCLUDE_DIRS}
-  ../include/util/
-  ../include/dci/
-  ../include/log/
-  ../include/base/
-  ../include/base/private
-  ../include/global/
-  ../include/DtkCore/
-  ../include/settings/
-  ../include/filesystem/
-  ../include/
+  ${uchardet_INCLUDE_DIRS}
 )
+target_include_directories(${LIBNAME} PUBLIC
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/util>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/dci>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/log>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/base>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/base/private>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/global>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/DtkCore>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/settings>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/filesystem>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+)
+
+target_include_directories(${LIBNAME} INTERFACE
+  $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>
+)
+
+target_link_directories(${LIBNAME} INTERFACE
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
+  $<INSTALL_INTERFACE:${LIBRARY_INSTALL_DIR}>
+)
+
 set(TOINSTALLBASE
   ../include/base/dobject.h
   ../include/base/dsingleton.h
@@ -123,4 +150,11 @@
 )
 install(FILES ${TOINSTALLSETTINGS} DESTINATION "${INCLUDE_INSTALL_DIR}")
 install(DIRECTORY ../include/util/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*.h")
-install(TARGETS ${LIBNAME} DESTINATION ${LIBRARY_INSTALL_DIR})
+install(TARGETS ${LIBNAME} EXPORT DtkCoreTargets
+ DESTINATION ${LIBRARY_INSTALL_DIR})
+
+install(EXPORT DtkCoreTargets
+  FILE DtkCoreTargets.cmake
+  NAMESPACE Dtk::
+  DESTINATION ${CONFIG_CMAKE_INSTALL_DIR}
+)
