=== tools/dci/CMakeLists.txt ===
--- 
+++ 
@@ -20,3 +20,5 @@
   ../../include/global/
 )
 #end dci
+
+install(TARGETS ${BIN_NAME} DESTINATION "${TOOL_INSTALL_DIR}")
